package com.ruoyi.demo.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.bo.StoreBo;
import com.ruoyi.demo.entity.vo.StoreVo;
import com.ruoyi.demo.service.StoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/store")
public class StoreController {
    @Autowired
    StoreService storeService;
    @PostMapping("/addStore")
    public R addStore(StoreVo storeVo){
        storeService.addStore(storeVo);
        return R.ok();
    }

    @PutMapping("/updateStore")
    public R updateStore(StoreVo storeVo){
        storeService.updateStore(storeVo);
        return R.ok();
    }

    @DeleteMapping("/deleteStore")
    public R deleteStore(String[] storeIds){
        storeService.deleteStore(storeIds);
        return R.ok();
    }

    @GetMapping("/getStoreTree")
    public R getStoreTree(StoreVo storeVo){
        storeService.getStoreTree(storeVo);
        return R.ok();
    }

    @GetMapping("/getStore")
    public R getStore(String storeId){
        StoreBo storeBo = storeService.getStore(storeId);
        return R.ok(storeBo);
    }

}
