package com.ruoyi.demo.service.impl;

import cn.dev33.satoken.annotation.SaIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.Commercial;
import com.ruoyi.demo.entity.vo.CommercialVo;
import com.ruoyi.demo.mapper.CommercialMapper;
import com.ruoyi.demo.service.CommericalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.Arrays;
import java.util.List;

@Service
public class CommercialServiceImpl implements CommericalService {
    @Autowired
    CommercialMapper commercialMapper;
    @Override
    public void addCommercial(CommercialVo commercialVo) {
        Commercial commercial = new Commercial(commercialVo);
        commercial.setCreateTime(LocalDateTime.now());
        commercialMapper.insert(commercial);
    }

    @Override
    public void deleteCommercial(String[] commercialIds) {
        commercialMapper.deleteBatchIds(Arrays.asList(commercialIds));
    }

    @Override
    public Commercial getCommercial(String commercialId) {
        return commercialMapper.selectById(commercialId);
    }

    @Override
    public PageInfo<Commercial> getCommercialList(CommercialVo commercialVo) {
        QueryWrapper<Commercial> queryWrapper = new QueryWrapper<>();
        if (commercialVo.getCommercialName() != null && !commercialVo.getCommercialName().equals("")){
            queryWrapper.like("commercial_name",commercialVo.getCommercialName());
        }
        if (commercialVo.getCommercialType() != null && !commercialVo.getCommercialType().equals("")){
            queryWrapper.eq("commercial_type",commercialVo.getCommercialType());
        }

        PageHelper.startPage(commercialVo.getPageNum(), commercialVo.getPageSize());
        List<Commercial> commercials = commercialMapper.selectList(queryWrapper);
        PageInfo<Commercial> pageInfo = new PageInfo<>(commercials);
        return pageInfo;
    }
}
