package com.ruoyi.demo.service.impl;

import com.ruoyi.demo.entity.Equipment;
import com.ruoyi.demo.entity.vo.EquipmentVo;
import com.ruoyi.demo.mapper.EquipmentMapper;
import com.ruoyi.demo.service.EquipmentService;
import com.ruoyi.demo.utils.InitMapUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.Arrays;

@Service
public class EquipmentServiceImpl implements EquipmentService {
    @Autowired
    EquipmentMapper equipmentMapper;
    @Autowired
    InitMapUtil initMapUtil;
    @Override
    public void addEquipment(EquipmentVo equipmentVo) {
        Equipment equipment = new Equipment(equipmentVo);
        //地区码映射
        equipment.setAddrCodeInfo(initMapUtil.getInitAddrCodeMap(equipment.getAddrCode()));
        //时间
        equipment.setEnterTime(LocalDateTime.now());
        equipmentMapper.insert(equipment);
    }

    @Override
    public void updateEquipment(EquipmentVo equipmentVo) {
        equipmentVo.setAddrCodeInfo(initMapUtil.getInitAddrCodeMap(equipmentVo.getAddrCode()));
        equipmentMapper.updateEquipment(equipmentVo);
    }

    @Override
    public Equipment getEquipment(String equipmentId) {
        return equipmentMapper.selectById(equipmentId);
    }

    @Override
    public void deleteEquipment(String[] equipmentIds) {
        equipmentMapper.deleteBatchIds(Arrays.asList(equipmentIds));
    }
}
